# Deis Contrib

Scripts, tools and documentation that are not part of the core
Deis system.

The contents of this directory may be vendor-specific, address a
limited audience, or be too experimental to be included in Deis' core.
This does not preclude their usefulness.

Please add any issues you find with this software to the
[Deis project](https://github.com/deis/deis/issues).

## Community contributions

Various community members have modified Deis components, created new components, or provided tools
that may be useful to Deis users. While these are not supported by the Deis team, they can be helpful
in certain scenarios.

Some of these projects include:

* [CoreOS unit files](https://github.com/ianblenke/coreos-vagrant-kitchen-sink/tree/master/cloud-init) (@ianblenke) - Unit files to launch various services on CoreOS hosts
* [deis-dashboard](https://github.com/lorieri/deis-dashboard) (@lorieri) - A dashboard which summarizes requests to the Deis cluster
* [deis-docs](https://github.com/lorieri/deis-docs) (@lorieri) - Container to test Deis documentation
* [deis-netstat](https://github.com/lorieri/deis-netstat) (@lorieri) - A cluster-wide netstat tool for Deis
* [deis-proxy](https://github.com/lorieri/deis-proxy) (@lorieri) - A transparent proxy for Deis
* [deis-store-dashboard](https://github.com/aledbf/deis/tree/optional_store_dashboard) (@aledbf) - An implementation of [ceph-dash](https://github.com/Crapworks/ceph-dash) to view `deis-store` health
* [New Relic unit for CoreOS](https://github.com/lorieri/coreos-newrelic) (@lorieri) - A global unit to launch New Relic sysmond
* [deis-api](https://github.com/aledbf/deis-api) (@aledbf) - node.js Deis API wrapper
* [deis-backup-service](https://github.com/mozilla/deis-backup-service) (@glogiotatidis) - Unit Files to automatically backup to S3 database and registry data.

This is a non-exhaustive list. Please add to this list by opening a pull request.
